<!doctype html>
<!--power by dever--><html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1.0,maximum-scale=1.0" />
<meta name="author" content="siweiyong 2602812659@qq.com"/>
<title>设置供应商</title>
<link rel="stylesheet" href="<?php echo Dever::config("host")->script ?>lib/miniui/themes/default/miniui.css">
<link rel="stylesheet" href="<?php echo Dever::config("host")->script ?>lib/layui/css/layui.css" />
<link rel="stylesheet" href="<?php echo Dever::config("host")->script ?>lib/cashier/common.css">
<link rel="stylesheet" href="<?php echo Dever::config("host")->script ?>lib/layui/admin/modules/plugin/formselects/formselects.css" media="all" />
<script src="<?php echo Dever::config("host")->script ?>lib/jquery/jquery.min.js"></script>
<script src="<?php echo Dever::config("host")->script ?>lib/miniui/miniui.js"></script>
<script src="<?php echo Dever::config("host")->script ?>lib/layui/layui.js"></script>
<script><?php  echo Dever::script() ?></script>
<script src="<?php echo Dever::config("host")->script ?>dever/core.js"></script>
</head>
<body style="background: #F6F7F9;">
<div class="main">
<form class="layui-form" lay-filter="form">
    <div class="layui-row">
        <div class="main_left layui-col-xs12 layui-col-md3">
            <div class="layui-row">
                <div class="top">
                    <i class="layui-icon layui-icon-app"></i>供应商列表
                </div>
                <div class="left_main">
                    <input id="key" class="mini-textbox" onenter="onKeyEnter" value="请输入供应商名称" onclick="setVal('key')"/>
                    <a class="mini-button" onclick="search()">查询</a> 
                    <button class="layui-btn layui-btn-button" type="button" style="vertical-align: middle;margin-bottom: 2px;" onclick="addGoods()">一键添加</button>
                    <button class="layui-btn layui-btn-button" type="button" style="vertical-align: middle;margin-bottom: 2px;" onclick="delGoods()">一键删除</button>
                    <ul id="tree1" class="mini-tree" url="<?php echo isset($url) ? $url : "" ?>" showTreeIcon="true" textField="name" idField="id" expandOnLoad="true" onNodeClick="onNodeClick">
                    </ul>

                </div>
            </div>
        </div>
        <div class="main_right layui-col-xs12 layui-col-md9">
            <div class="layui-row">
                <div class="top">
                    <label>切换<?php echo isset($name) ? $name : "" ?>：</label>
                    <div class="layui-input-inline">

                        <div><select xm-select="sid" xm-select-skin="normal" xm-select-search="<?php echo isset($search) ? $search : "" ?>" xm-select-search-type="dl" xm-select-radio="" class="update_value form-control layui-input layui-select" name="sid" id="sid"  ></select></div>

                    </div>
                    <div class="layui-input-inline">
                        <button class="layui-btn layui-btn-button" type="button" style="vertical-align: middle;margin-bottom: 2px;" onclick="setShop()">确认切换</button>
                    </div>
                </div>
                <div class="goods_list" style="height:645px;">
                    <table class="layui-table">
                        <thead>
                            <tr>
                                <th lay-data="{field:'id'}">供应商ID</th>
                                <th lay-data="{field:'id'}">供应商编码</th>
                                <th lay-data="{field:'name'}">供应商名称</th>
                                <th lay-data="{field:'name'}">供应商类型</th>
                                <th lay-data="{field:'name'}">优先级</th>
                                <th lay-data="{field:'operation'}">操作</th>
                            </tr>
                        </thead>
                        <tbody id="goods">
                            
                        </tbody>
                    </table>
                </div>
                <div class="total ft16">
                    合计：【<span> 分配供应商总数：<i class="totalNum">0</i> </span>】
                </div>
                <div class="towbtn">
                    <input type="button" id="settlement" value="确认分配">
                </div>
            </div>
        </div>
    </div>
</div>
</form>
</div>
<script>
    var form;
    layui.config(
    {
        base: '<?php echo Dever::config("host")->script ?>lib/layui/admin/' //静态资源所在路径
        ,version: true
    }).extend(
    {
        index: 'lib/index', //主入口模块
        formSelects: 'plugin/formselects/formselects'
    }).use(['index', 'contlist', 'table', 'form', 'formSelects','layer'], function()
    {
        var table = layui.table;
        form = layui.form; 
        var formSelects = layui.formSelects;
    });

    $(function()
    {
        $("#settlement").click(function(){
            var url = '<?php echo isset($submit) ? $submit : "" ?>';
            var id = '<?php echo isset($id) ? $id : "" ?>';
            var role = '<?php echo isset($role) ? $role : "" ?>';

            layui.layer.confirm('确定进行此项设置吗？', function() {
                var goods_string = JSON.stringify(goods);

                var data = {};
                data = {id:id, role:role, value:goods_string};
                $.post(url, data, function(t) {
                    t = JSON.parse(t);
                    if (t.status == 1) {
                        layui.layer.alert('设置成功', function(index){
                          if (t.data == 'refer') {
                                history.back();
                            } else {
                                location.href = t.data;
                            }
                          layer.close(index);
                        });
                    } else {
                        layui.layer.alert(t.msg);
                    }
                });
            });
        });
        $("#goods").on("keyup", ".goods_num", function() {
            var num = parseFloat($(this).val());
            if (num < 0) {
                num = 1;
                $(this).val(1);
            }
            var id = $(this).parent().attr('value');
            goods[id].reorder = num;
            setTotal();
        });
    })
    var goods = {};
    var del_goods = {};
    mini.parse();
    var tree = mini.get("tree1");
    for (var i in tree.data) {
        if (typeof(tree.data[i].children) == 'object') {
            if (tree.data[i].children.length > 0) {
                for (var j in tree.data[i].children) {
                    if(tree.data[i].children[j].select == 1) {
                        setGoods(tree.data[i].children[j]);
                    }
                }
            } else if(tree.data[i].select == 1) {
                setGoods(tree.data[i]);
            }
        }
    }
    function search() 
    {
        var key = mini.get("key").getValue();
        if (key == "") {
            tree.clearFilter();
        } else {
            key = key.toLowerCase();                
            tree.filter(function (node) {
                var name = node.name ? node.name.toLowerCase() : "";
                if (name.indexOf(key) != -1) {
                    return true;
                }
            });
        }
    }
    function onKeyEnter(e)
    {
        search();
    }

    function onNodeClick()
    {
        var tree=mini.get("tree1");
        node=tree.getSelectedNode();
        if(node.end) {
            setGoods(node);
        }
    }

    function setGoods(node)
    {
        if (node.id) {
            var key = node.id;
            if (!goods[key]) {
                goods[key] = node;
                goods[key].reorder = goods[key].reorder ? parseFloat(goods[key].reorder) : 1;
                create(node);
                setTotal();
            } else {
                add(key);
            }
        }
    }

    function unsetGoods(node)
    {
        if (node.id) {
            if (goods[node.id]) {
                delete goods[node.id];
                get(node.id).remove();
            }
        }
    }

    function get(key)
    {
        return $('#goods_' + key);
    }

    function create(node)
    {
        if (!get(node.id).length) {
            var addtr = '<tr class="mytr" id="goods_'+node.id+'">';
            addtr += '<td class="goods_id">'+node.id+'</td>';
            addtr += '<td class="goods_id">'+node.code+'</td>';
            addtr += '<td class="goods_name">'+node.name+'</td>';     
            addtr += '<td class="goods_name">'+node.type_name+'</td>';        
            addtr += '<td><div class="jiajian" value='+node.id+'><span class="jian" onclick="dec(\''+node.id+'\')">-</span><input type="text" value="'+node.reorder+'" class="goods_num"><span class="jia" onclick="add(\''+node.id+'\')">+</span></div></td>';
            addtr += '<td><a class="delete_btn" onclick="del(\''+node.id+'\')">删除</a></td>';        
            addtr += '</tr>';
            $("#goods").append(addtr);
        }
    }

    function add(id)
    {
        goods[id].reorder += 1;
        get(id).find('.goods_num').val(goods[id].reorder);
        setTotal();
    }
    
    function dec(id)
    {
        goods[id].reorder -= 1;
        if (goods[id].reorder < 1) {
            goods[id].reorder = 0;
        }

        get(id).find('.goods_num').val(goods[id].reorder);
        setTotal();
    }

    function del(id)
    {
        if (confirm('确定删除吗？')) {
            delete goods[id];
			get(id).remove();
			setTotal();
        }
    }

    // 一键添加
    function addGoods()
    {
        var key = mini.get("key").getValue();
        if (key == '请输入供应商名称') {
            key = '';
        }
        if (key) {
            key = key.toLowerCase();
        }
        for (var i in tree.data) {
            if (typeof(tree.data[i].children) == 'object') {
                if (tree.data[i].children.length > 0) {
                    for (var j in tree.data[i].children) {
                        if (key) {
                            var name = tree.data[i].children[j].name;
                            if (name.indexOf(key) != -1) {
                                setGoods(tree.data[i].children[j]);
                            }
                        } else {
                            setGoods(tree.data[i].children[j]);
                        }
                    }
                } else {
                    if (key) {
                        var name = tree.data[i].name;
                        if (name.indexOf(key) != -1) {
                            setGoods(tree.data[i]);
                        }
                    } else {
                        setGoods(tree.data[i]);
                    }
                }
            }
        }
    }

    // 一键删除
    function delGoods()
    {
        if (confirm('确定删除吗？')) {
            var key = mini.get("key").getValue();
            if (key == '请输入供应商名称') {
                key = '';
            }
            if (key) {
                key = key.toLowerCase();
            }
            for (var i in tree.data) {
                if (typeof(tree.data[i].children) == 'object') {
                    if (tree.data[i].children.length > 0) {
                        for (var j in tree.data[i].children) {
                            if (key) {
                                var name = tree.data[i].children[j].name;
                                if (name.indexOf(key) != -1) {
                                    unsetGoods(tree.data[i].children[j]);
                                }
                            } else {
                                unsetGoods(tree.data[i].children[j]);
                            }
                        }
                    } else {
                        if (key) {
                            var name = tree.data[i].name;
                            if (name.indexOf(key) != -1) {
                                unsetGoods(tree.data[i]);
                            }
                        } else {
                            unsetGoods(tree.data[i]);
                        }
                    }
                }
            }
            setTotal();
        }
    }

    function setTotal()
    {
        var num = 0;
        for (var i in goods) {
            num += 1;
        }
        $(".totalNum").html(num);
    }

    function setShop()
    {
        var sid = $('.xm-select-parent[fs_id="sid"] span[fsw="xm-select"]').attr('value');
        if (!sid) {
            layui.layer.alert('请选择<?php echo isset($name) ? $name : "" ?>');
            return;
        }
        layui.layer.confirm('确定切换<?php echo isset($name) ? $name : "" ?>吗？', function() {
            location.href = '<?php echo isset($host) ? $host : "" ?>&id=' + sid;
        });
    }
</script>
</body>
</html>