<?php namespace Order\Lib;
use Dever;
class Table
{
    public function get($table, $name, $replace = array(), $struct = array())
    {
        $config = Dever::config($table, 'order', 'table')->cAll;
        $config['name'] = $name;

        if ($replace) {
        	$config = Dever::json_encode($config);
        	foreach ($replace as $k => $v) {
        		$config = str_replace($k, $v, $config);
        	}
        	$config = Dever::json_decode($config);
        }

        if ($struct) {
            $config['struct'] = Dever::replace_array($config['struct'], $struct);
        }

        return $config;
    }
}
