<?php namespace Order\Manage;
use Dever;
class In
{
    # 根据类型获取选择项
    public function type_api()
    {
        $role = Dever::input('role');
        $site = Dever::input('site');
        $site_key = $role . '_' . $site . '_id';
        $role_id = Dever::input($role . '_id');
        $site_id = Dever::input($site_key);

        $table = $role . '/in_order';
        $type = Dever::input('value');

        $data = array();
        $config['type_method'] = Dever::db($table)->config['struct']['type_method'];
        $config['type_id'] = Dever::db($table)->config['struct']['type_id'];
        if ($type == 1) {
            $config['type_method']['update'] = 'radio';
            $config['type_id']['name'] = '供应商渠道';
            $config['type_id']['update'] = 'select';
            $config['type_id']['update_search'] = 'order/manage/role.search?table='.$role.'/'.$site.'_channel&col='.$site_key.'&'.$site_key.'=' . $site_id;

            $config['type_id']['bind'] = array('onchange', 'loading', array('url' => Dever::url('lib/manage.resetGoods?reset='.$role.'-in_order_goods', 'goods'), 'col' => ''));
        } elseif ($type == 2) {
            $config['type_method']['update'] = 'radio';
            $config['type_id']['name'] = '出库仓库';
            $config['type_id']['update'] = 'select';
            $config['type_id']['update_search'] = 'order/manage/role.searchStore?site='.$site.'&'.$roke_key.'=' . $role_id. '&'.$site_key.'=' . $site_id;
            
        } elseif ($type == 3) {
            $config['type_method']['update'] = 'radio';
            $config['type_id']['name'] = '出库门店';
            $config['type_id']['update'] = 'select';
            $config['type_id']['update_search'] = 'order/manage/role.searchShop?site='.$site.'&'.$roke_key.'=' . $role_id. '&'.$site_key.'=' . $site_id;
        }
        $result = Dever::load('manage/database')->update_struct(array('struct' => $config), false, $data, -1, '', false, false);

        return $result;
    }

    # 订单展示
    public function show($order)
    {
        $order['name'] = '入库单详情';
        $order['address'] = false;
    	if ($order['type'] == 1) {
        	$order['supplier_channel_id'] = $order['type_id'];
        	$channel = Dever::db('supplier/channel')->one($order['supplier_channel_id']);
        	$order['supplier_id'] = $channel['supplier_id'];
        } elseif ($order['type'] == 2) {
            $order['servicer_store_out_id'] = $order['type_id'];
        } elseif ($order['type'] == 3) {
            $order['seller_shop_out_id'] = $order['type_id'];
        }

        return $order;
    }

    public function showRole($project, $order, &$content)
    {
        if ($order['type'] == 2) {
            $store = Dever::db('servicer/store')->one($order['type_id']);
            $servicer = Dever::db('servicer/info')->one($store['servicer_id']);
            $content[] = array('出库仓库', $servicer['name'] . ' - ' . $store['name']);
            $project = 'servicer';
        } elseif ($order['type'] == 3) {
            $shop = Dever::db('seller/shop')->one($order['type_id']);
            $seller = Dever::db('seller/info')->one($shop['seller_id']);
            $content[] = array('出库门店', $seller['name'] . ' - ' . $shop['name']);
            $project = 'seller';
        }

        if ($order['type_order_id']) {
            $order = Dever::db($project . '/out_order')->find($order['type_order_id']);
            if ($order) {
                
                $url = Dever::url('project/database/list?project='.$project.'&table=out_order_goods&type=out&page_type=1&order_id=' . $order['id'], 'manage');
                $order['order_num'] = '<a href="'.$url.'">'.$order['order_num'].'</a>';
                $content[] = array('出库单号', $order['order_num']);
            }
        }
    }

    public function showAddress($project, &$order)
    {
        if (isset($order['servicer_store_id'])) {
            $order['address'] = Dever::load('user/address')->getData($order['servicer_store_id'], 'servicer/store');
        } elseif (isset($order['servicer_store_id'])) {
            $order['address'] = Dever::load('user/address')->getData($order['seller_shop_id'], 'seller/shop');
        }
    }

    public function showButton($project, $table, $order, &$button)
    {
        if ($order['status'] == 1) {
            $button[] = array
            (
                'type' => 'edit',
                'link' => Dever::update($project, $table . '_audit', array('search_option_order_id' => $order['id'])),
                'name' => '审核',
            );
        }
    }
}
