<?php
$col = Dever::input('col');
return array
(
    # 表名
    'name' => 'table',
    # 显示给用户看的名称
    'lang' => '订单审核表',
    'menu' => false,
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'update'    => 'hidden',
            //'list'        => true,
        ),

        'order_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '订单表id',
            'default'   => '',
            'desc'      => '订单表id',
            'match'     => 'is_numeric',
            'update'	=> 'hidden',
            'value'		=> Dever::input('search_option_order_id')
        ),

        'order_goods_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '订单商品表id',
            'default'   => '',
            'desc'      => '订单商品表id',
            'match'     => 'is_numeric',
            'update'	=> 'hidden',
            'value'		=> Dever::input('search_option_order_goods_id')
        ),

        'uid'     => array
        (
            'type'      => 'int-11',
            'name'      => '审核人',
            'default'   => '',
            'match'     => 'is_numeric',
            'desc'      => '审核人',
        ),

        'status'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '审核状态',
            'default'   => '1',
            'desc'      => '审核状态',
            'match'     => 'is_numeric',
            'option'    => Dever::config('base')->audit_status,
            'update'    => 'radio',
            'control'	=> 'status',
        ),

        'desc'        => array
        (
            'type'      => 'varchar-500',
            'name'      => '审核备注',
            'default'   => '',
            'desc'      => '审核备注',
            'match'     => 'is_string',
            'update'    => 'textarea',
            'show'		=> 'status=2',
        ),

        'servicer/out_order_delivery'  => array
        (
            'name'      => '发货信息-请按照正确的发货类型发货',
            'default'   => '',
            'desc'      => '发货信息',
            'match'     => 'option',
            'sync'      => array('order_id' => 'order_id', 'order_goods_id' => 'order_goods_id'),
            'update'    => strstr($col, 'delivery') ? array(1) : false,
            'option'    => array('发货信息'),
            'show'      => 'status=1',
            'update_type' => 1,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        'insert' => false,
        'edit' => false,
        'delete' => false,
    ),

    'request' => array
    (
        
    ),
);
