<?php
$type = array
(
    1 => '正常商品',
    2 => '赠品',
);
return array
(
    # 表名
    'name' => 'order_group',
    # 显示给用户看的名称
    'lang' => '组合商品记录表',
    'menu' => false,
    'set'	=> array
    (
    	'type' => $type,
    );
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'update'    => 'hidden',
            //'list'        => true,
        ),

        'order_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '订单表id',
            'default'   => '',
            'desc'      => '订单表id',
            'match'     => 'is_numeric',
        ),

        'order_goods_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '订单商品表id',
            'default'   => '',
            'desc'      => '订单商品表id',
            'match'     => 'is_numeric',
        ),

        'goods_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '商品',
            'default'   => '',
            'desc'      => '商品',
            'match'     => 'is_numeric',
        ),

        'sku_id'      => array
        (
            'type'      => 'int-11',
            'name'      => 'sku',
            'default'   => 'sku',
            'desc'      => 'sku_id',
            'match'     => 'is_numeric',
        ),

        'num'        => array
        (
            'type'      => 'int-11',
            'name'      => '数量',
            'default'   => '1',
            'desc'      => '数量',
            'match'     => 'is_numeric',
            'search'    => 'select',
            'update'	=> 'text',
        ),

        'type'        => array
        (
            'type'      => 'int-11',
            'name'      => '类型',
            'default'   => '1',
            'desc'      => '类型',
            'match'     => 'is_numeric',
            'update'  => 'select',
            'option'    => $type,
            'search'    => 'select',
            'list'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        'insert' => false,
        'delete' => false,
    ),

    'request' => array
    (
        
    ),
);
