<?php

$platform = array
(
    1 => '中台管理',
    2 => '前台',
);
return array
(
    # 表名
    'name' => 'table',
    # 显示给用户看的名称
    'lang' => '订单日志表',
    'menu' => false,
    'platform' => $platform,
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'update'    => 'hidden',
            //'list'        => true,
        ),

        'order_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '订单表id',
            'default'   => '',
            'desc'      => '订单表id',
            'match'     => 'is_numeric',
        ),

        'platform'      => array
        (
            'type'      => 'tinyint-1',
            'name'      => '操作平台',
            'default'   => '1',
            'desc'      => '操作平台',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'search'    => 'select',
            'option'    => $platform,
        ),

        'uid'     => array
        (
            'type'      => 'int-11',
            'name'      => '审核人',
            'default'   => '',
            'match'     => 'is_numeric',
            'desc'      => '审核人',
        ),

        'info'     => array
        (
            'type'      => 'varchar-50',
            'name'      => '操作介绍',
            'default'   => '',
            'match'     => 'is_string',
            'desc'      => '操作介绍',
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', DEVER_TIME),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        'insert' => false,
        'delete' => false,
    ),

    'request' => array
    (
        
    ),
);