<?php namespace Order\Type;
use Dever;
class Sell
{
    # 销售订单下单后，进行下一步操作
    public function act($id, $state = false)
    {
        $order = Dever::db('seller/sell_order')->find($id);
        if ($order) {
            $info = Dever::db('seller/info')->find($order['seller_id']);
            # 先验证是否需要支付
            if ($info && $order['uid']) {
                if ($order['status'] == 1) {
                    # 需要支付
                    $yue = Dever::load('account/lib/info.up_commit', $order['uid'], $order['price'], 'goumai', 'qianbao', '订单支付:' . $order['order_num'], 'seller/sell_order', $order['id'], 1, false);

                    if ($yue >= 0) {
                        Dever::db('seller/sell_order')->update(array('where_id' => $order['id'], 'status' => 2));
                        $order['status'] = 2;
                    } elseif ($state) {
                        return false;
                    }
                }

                if ($order['status'] == 2 && $info['sell_audit'] == 1) {
                    # 自动审核
                    Dever::load('order/lib/audit.add', 'seller/sell_order', $order['id'], 1, '自动审核', false);
                }

                return true;
            }
        }
        return false;
    }
}
