<?php
$status = array
(
    1 => '未确认',
    2 => '已确认',
);
return array
(
    # 表名
    'name' => 'shop_salesman_log',
    # 显示给用户看的名称
    'lang' => '分销员日志表',
    'menu' => false,
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'update'    => 'hidden',
            //'list'        => true,
        ),

        'order_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '订单表id',
            'default'   => '',
            'desc'      => '订单表id',
            'match'     => 'is_numeric',
        ),

        'salesman_id'       => array
        (
            'type'      => 'int-11',
            'name'      => '分销员',
            'default'   => '',
            'desc'      => '分销员',
            'match'     => 'is_numeric',
            'list'       => '"{salesman_id}" ? Dever::load("order/lib/salesman.get#mobile", {salesman_id}) : "暂无"',
        ),

        'per'     => array
        (
            'type'      => 'varchar-50',
            'name'      => '佣金百分比',
            'default'   => '',
            'match'     => 'is_string',
            'desc'      => '佣金百分比',
        ),

        'commission'        => array
        (
            'type'      => 'decimal-11,2',
            'name'      => '佣金',
            'default'   => '',
            'desc'      => '佣金',
            'match'     => 'is_numeric',
            'update'    => 'text',
        ),

        'status'      => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '状态',
            'match'     => 'is_numeric',
            'update'    => 'text',
            'option'    => $status,
        ),

        'finish_date'     => array
        (
            'type'      => 'int-11',
            'name'      => '完成时间',
            'default'   => '',
            'match'     => 'is_numeric',
            'desc'      => '',
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', DEVER_TIME),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        'insert' => false,
        'delete' => false,
    ),

    'request' => array
    (
        
    ),
);