<?php

return array
(
	# 表名
	'name' => 'config',
	# 显示给用户看的名称
	'lang' => '基础信息',
	'order' => 1,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '平台ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
		),
		
		'hr1'		=> array
		(
			'name' 		=> '基本信息',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '系统名称',
			'default' 	=> '',
			'desc' 		=> '请输入系统名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),
		
        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),

	'default' => array
	(
		'col' => 'name,cdate',
		'value' => array
		(
			'"源代宝",' . time(),
		),
	),

	'manage' => array
	(
		# 后台管理不要列表页
		'list' => 'update',
	),
);
