<?php

$type = array
(
	1 => '成功',
	2 => '失败',
	//3 => '其他',
);

return array
(
	# 表名
	'name' => 'connect_response_code',
	# 显示给用户看的名称
	'lang' => '响应状态码列表',
	# 是否显示在后台菜单
	'order' => -10,
	'menu' => false,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
			'order'		=> 'desc',
		),

		'connect_response_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '通信规则响应id',
			'default' 	=> '1',
			'desc' 		=> '通信规则响应id',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'value'		=> Dever::input('search_option_connect_response_id'),
		),

		'value'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '返回码值',
			'default' 	=> '',
			'desc' 		=> '返回码值',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'type'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '返回码类型',
			'default' 	=> '1',
			'desc' 		=> '返回码类型',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $type,
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			//'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
        'edit' => false,

        # 自定义快捷新增和编辑
        'button' => array
        (
            '新增' => array('fast'),
        ),
		'list_button' => array
        (
        	'edit' => array('编辑'),
        )
	),

	'request' => array
	(
		
	)
);
