<?php

$method = array
(
	1 => '不加密',
	2 => 'md5',
	3 => 'sha256',
);

$type = array
(
	1 => 'value+value形式',
	2 => 'key=value&key=value形式',
);

$sort = array
(
	1 => '按照请求加密参数顺序排序',
	2 => '按照首字母正序排序',
);

$encode = array
(
	1 => '不处理',
	2 => 'urlencode编码',
);

$empty = array
(
	1 => '参与加密',
	2 => '不参与加密',
);

$after = array
(
	1 => '不处理',
	2 => '转大写',
	3 => '转小写',
);

return array
(
	# 表名
	'name' => 'connect_sign',
	# 显示给用户看的名称
	'lang' => '签名加密',
	# 是否显示在后台菜单
	'order' => -10,
	'menu' => false,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
			'order'		=> 'desc',
		),

		'connect_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '通信规则id',
			'default' 	=> '1',
			'desc' 		=> '通信规则id',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'value'		=> Dever::input('search_option_connect_id'),
		),

		'method'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '签名加密方式',
			'default' 	=> '1',
			'desc' 		=> '签名加密方式',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $method,
			'control'	=> 'method',
		),

		'col'		=> array
		(
			'type' 		=> 'varchar-1000',
			'name' 		=> '签名加密参数-按顺序做加密，用+号隔开，为空则所有字段均参与加密',
			'default' 	=> '',
			'desc' 		=> '签名加密参数',
			'match' 	=> 'option',
			'update'	=> 'text',
			'show'		=> 'method=2,3',
		),

		'type'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '签名加密形式',
			'default' 	=> '1',
			'desc' 		=> '签名加密形式',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $type,
			'show'		=> 'method=2,3',
		),

		'sort'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '签名加密排序',
			'default' 	=> '1',
			'desc' 		=> '签名加密排序',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $sort,
			'show'		=> 'method=2,3',
		),

		'encode'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '签名加密转码-如果签名中包含有特殊字符，是否进行转码',
			'default' 	=> '1',
			'desc' 		=> '签名加密转码',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $encode,
			'show'		=> 'method=2,3',
		),

		'empty'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '签名加密空值-如果签名中有空值，是否参与加密',
			'default' 	=> '1',
			'desc' 		=> '签名加密空值',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $empty,
			'show'		=> 'method=2,3',
		),

		'after'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '签名加密后处理',
			'default' 	=> '1',
			'desc' 		=> '签名加密后处理',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $after,
			'show'		=> 'method=2,3',
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		
	),

	'request' => array
	(
		
	)
);
