<?php

$option = array
(
	1 => '默认填充',
	2 => '用0填充',
	3 => '不填充',
);

$after = array
(
	1 => '不处理',
	2 => '转base64',
);

return array
(
	# 表名
	'name' => 'connect_ssl',
	# 显示给用户看的名称
	'lang' => '通信规则',
	# 是否显示在后台菜单
	'order' => -10,
	'menu' => false,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
			'order'		=> 'desc',
		),

		'connect_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '通信规则id',
			'default' 	=> '1',
			'desc' 		=> '通信规则id',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'value'		=> Dever::input('search_option_connect_id'),
		),

		'method'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> '对称加密方式-如AES、DES等，直接填写加密方式的值',
			'default' 	=> '',
			'desc' 		=> '对称加密方式',
			'match' 	=> 'option',
			'update'	=> 'text',
		),

		'key'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> '对称加密秘钥',
			'default' 	=> '',
			'desc' 		=> '对称加密秘钥',
			'match' 	=> 'option',
			'update'	=> 'text',
		),

		'option'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '对称加密数据格式',
			'default' 	=> '1',
			'desc' 		=> '对称加密数据格式',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $option,
		),

		'iv'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> '对称加密初始化向量',
			'default' 	=> '',
			'desc' 		=> '对称加密初始化向量',
			'match' 	=> 'option',
			'update'	=> 'text',
		),

		'after'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '对称加密后处理',
			'default' 	=> '1',
			'desc' 		=> '对称加密后处理',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $after,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		
	),

	'request' => array
	(
		
	)
);
