<?php

return array
(
	# 表名
	'name' => 'info_set',
	# 显示给用户看的名称
	'lang' => '渠道其他设置',
	# 是否显示在后台菜单
	'order' => -10,
	'menu' => false,
	'info' => '',

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'desc',
			//'list'		=> true,
		),

		'info_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '渠道id',
			'default' 	=> '1',
			'desc' 		=> '渠道id',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'value'		=> Dever::input('search_option_info_id'),
		),

		'key'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '字段标识',
			'default' 	=> '',
			'desc' 		=> '字段标识',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'value'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '字段值',
			'default' 	=> '',
			'desc' 		=> '字段值',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
        'edit' => false,

        # 自定义快捷新增和编辑
        'button' => array
        (
            '新增' => array('fast'),
        ),

		'list_button' => array
        (
        	'edit' => array('编辑'),
        ),
	),

	'request' => array
	(
		
	)
);
