<?php
$save = array
(
	1 => '保存',
	2 => '不保存',
);
return array
(
	# 表名
	'name' => 'service',
	# 显示给用户看的名称
	'lang' => '业务管理',
	# 是否显示在后台菜单
	'order' => 50,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'desc',
			'list'		=> true,
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '业务名称',
			'default' 	=> '',
			'desc' 		=> '业务名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'save'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '是否保存数据',
			'default' 	=> '1',
			'desc' 		=> '是否保存数据',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $save,
			'list'		=> true,
		),

		'api'		=> array
		(
			'type' 		=> 'varchar-2000',
			'name' 		=> '功能配置-支持Dever::load、http接口',
			'default' 	=> '',
			'desc' 		=> '功能配置',
			'match' 	=> 'option',
			'update'	=> 'text',
		),

		'channel/service_param'=> array
		(
			'name' 		=> '功能默认参数',
			'default' 	=> '',
			'desc' 		=> '功能默认参数',
			'match' 	=> 'option',
			'sync'		=> array('service_id' => 'id'),
			'update'	=> array(1),
			'update_type' => 2,
		),

		'channel/service_col'=> array
		(
			'name' 		=> '字段设置',
			'default' 	=> '',
			'desc' 		=> '字段设置',
			'match' 	=> 'option',
			'sync'		=> array('service_id' => 'id'),
			'update'	=> array(1),
			'update_type' => 2,
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			//'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'delete' => false,
		/*
		'insert' => false,
        'edit' => false,

        # 自定义快捷新增和编辑
        'button' => array
        (
            '新增' => array('fast'),
        ),

		'list_button' => array
        (
        	'edit' => array('编辑'),
        ),*/
	),

	'default' => array
	(
		'col' => 'id,name,save,state,cdate',
		'value' => array
		(
			'1,"token业务-特殊业务不能更改", 2,1,' . DEVER_TIME,
			'2,"ticket业务-特殊业务不能更改", 2,1,' . DEVER_TIME,
			'3,"通用业务", 1,1,' . DEVER_TIME,
		),
	),

	'request' => array
	(
		
	)
);
