<?php

namespace Channel\Lib;

use Dever;

class Service
{
    public function act($channel_id, $service_id, $source_table, $source_id, &$param)
    {
        $service = Dever::db('channel/service')->find($service_id);

        if ($service) {
            if ($service['save'] == 1) {
                Dever::load('channel/lib/data')->up($channel_id, $service_id, $source_table, $source_id, $param);
            }
            $this->api($service, $param);
        }
    }

    protected function api($service, &$param)
    {
        if ($service['api']) {
            $service_param = Dever::db('channel/service_param')->select(array('service_id' => $service['id']));
            if ($service_param) {
                foreach ($service_param as $v) {
                    if (!isset($param[$v['key']])) {
                        $param[$v['key']] = $v['value'];
                    }
                }
            }
            $param['result'] = Dever::load($service['api'], $param);
            $param['service'] = $service;
            $log['type'] = 'service';
            $log['data'] = $param;
            Dever::log($log, 'channel');
        }
    }

    public function test_api($param)
    {
    	return 'ok';
    }
}