<?php

return array
(
	# 表名
	'name' => 'info_extend',
	# 显示给用户看的名称
	'lang' => '商品扩展信息表',
	'menu' => false,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			//'list'		=> true,
		),
		
		'info_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '商品ID',
			'default' 	=> '',
			'desc' 		=> '商品ID',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'extend'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '扩展信息',
			'default' 	=> '',
			'desc' 		=> '扩展信息',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', DEVER_TIME),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'delete' => false,
		'edit' => false,
		'insert' => false,
	),
);
