<?php
$goods = array
(
	1 => '所有商品',
	2 => '部分商品',
);
$category = function()
{
	$array = array();
	$data = Dever::load('goods/category-getTop');
	if($data)
	{
		$array += $data;
	}
	return $array;
};
$status = array
(
	1 => '有效',
	2 => '失效',
);
$type = array
(
	1 => '统一调价',
	2 => '手动调价',
);
$time = array
(
	1 => '长期有效',
	2 => '短期有效',
);
return array
(
	# 表名
	'name' => 'price',
	# 显示给用户看的名称
	'lang' => '价格模板设置',
	'info' => '在商品中设置的价格是默认价格，如果一个SKU想设置不同的价格，则可以通过价格模板设置',
	# 是否显示在后台菜单
	'order' => 100,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
			'order'		=> 'asc',
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '模板名称',
			'default' 	=> '',
			'desc' 		=> '模板名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
			'edit'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
        'edit' => false,

        # 自定义快捷新增和编辑
        'button' => array
        (
            '新增' => array('fast'),
        ),
		'list_button' => array
        (
        	'edit' => array('编辑'),
        	'list' => array('策略管理', 'price_rule&oper_table=price&search_option_price_id={id}'),
        )
	),

	'request' => array
	(
		
	)
);
