<?php
$config['base'] = array
(
	'name' => 'yuandaibao',
	'version' => '1.0.0 Beta',

    # 语言包
    //'lang_set' => array('zh-cn' => '简体中文', 'en' => '英文'),

    # 小程序用的是啥 developer开发版 trial体验版 formal正式版
    'wechat_applet' => 'trial',

    # 几个角色定义
    'role' => array
    (
        1 => '经销商',
        2 => '仓配商',
        3 => '供应商',
    ),

    'role_key' => array
    (
        1 => array('seller', 'shop'),
        2 => array('servicer', 'store'),
        3 => array('supplier', 'channel'),
    ),

    # 出库入库单状态
    'status' => array
    (
        1 => array('name' => '待审核', 'style' => 'font-weight:bold;color:#436EEE'),
        2 => array('name' => '已审核', 'style' => 'font-weight:bold;color:#003366'),
        3 => array('name' => '已驳回', 'style' => 'font-weight:bold;color:#993333'),
    ),

    # 订单状态
    'order_status' => array
    (
        1 => array('name' => '待支付', 'style' => 'font-weight:bold;color:#F8046E'),
        2 => array('name' => '待审核', 'style' => 'font-weight:bold;color:#436EEE'),
        3 => array('name' => '待处理', 'style' => 'font-weight:bold;color:#003366'),
        4 => array('name' => '处理中', 'style' => 'font-weight:bold;color:#66ffff'),
        5 => array('name' => '待确认', 'style' => 'font-weight:bold;color:#6600ff'),
        6 => array('name' => '已完成', 'style' => 'font-weight:bold;color:#0978F8'),
        7 => array('name' => '已完成（有退款）', 'style' => 'font-weight:bold;color:#0978F8'),
        8 => array('name' => '已取消', 'style' => 'font-weight:bold;color:#993333'),
        9 => array('name' => '已退款', 'style' => 'font-weight:bold;color:#993333'),
        10 => array('name' => '已过期', 'style' => 'font-weight:bold;color:#993333'),
    ),

    # 商品状态
    'goods_status' => array
    (
        1 => array('name' => '待审核', 'style' => 'font-weight:bold;color:#436EEE'),
        2 => array('name' => '已审核', 'style' => 'font-weight:bold;color:#003366'),
        3 => array('name' => '已驳回', 'style' => 'font-weight:bold;color:#993333'),
    ),

    # 退货状态
    'refund_status' => array
    (
        1 => array('name' => '未申请', 'style' => 'font-weight:bold;color:#362d2d'),
        2 => array('name' => '申请中', 'style' => 'font-weight:bold;color:#993333'),
        3 => array('name' => '退货中', 'style' => 'font-weight:bold;color:#66ffff'),
        4 => array('name' => '已退货', 'style' => 'font-weight:bold;color:#003366'),
        5 => array('name' => '退款中', 'style' => 'font-weight:bold;color:#6600ff'),
        6 => array('name' => '已退款', 'style' => 'font-weight:bold;color:#003366'),
    ),

    # 审核状态
    'audit' => array
    (
        2 => '审核通过',
        3 => '审核未通过',
    ),

    'audit_status' => array
    (
        1 => '审核通过',
        2 => '审核未通过',
    ),

    # 更新地址后调用的接口
    'address' => 'order/lib/log.add',

    # 加密key
    'encode_key' => 'dreamland1985',

    # 积分配置
    'score' => array
    (
        # 实时增加积分开启，关闭则需要把lib/core.cron放到计划任务中
        'sync' => true,
    ),

    # 启用全站图片压缩
    //'pic' => 'yun_t1',

    # 队列
    'queue' => array
    (
        'method' => 'redis',
        'host' => 'server-redis',
        'port' => '6379',
        'password' => 'dm_redis_123',
    ),
);


# 前台通用配置
$config['template'] = array
(
    # 静态页面目录
    //'assets' => array('pc', 'mobile'),
    'assets' => 'pc',

    # 模板编译器目录
    'template' => 'pc',

    # 模板html文件的所在目录，默认为html
    'path' => 'html',

    'replace' => array
    (
        'css' => '../css/',
        'js' => '../js/',
        'images' => '../images/',
        'img' => '../img/',
        'script' => '../script/',
        'static' => '../static/',
    ),

    # 编译器与模板对应关系目录，定义之后，代表可以完全不改动前端的代码，可以为空，为空则一一对应，参考manage
    'relation' => array
    (
        # 首页启动屏幕
        'home' => 'home',
    ),
    
);
return $config;