<?php namespace Order\Lib;
use Dever;
class Log
{
    # 记录订单日志
    public function add($table, $order_id, $info, $uid = false, $platform = 1)
    {
        if (!strstr($table, 'order')) {
            return;
        }
        $data = array();
        if (!$uid) {
            $admin = Dever::load('manage/auth.info');
            if ($admin) {
                $uid = $admin['id'];
                $platform = 1;
            }
        }
        $data['platform'] = $platform;
        $data['uid'] = $uid;
        $data['order_id'] = $order_id;
        $data['info'] = $info;

        return Dever::db($table . '_log')->insert($data);
    }

    public function insert($id, $name, $data)
    {
        return $this->add($name, $id, '新增订单');
    }
}