<?php namespace Order\Lib;
use Dever;
class Pay
{
    public function ercode_api()
    {
    	$project = Dever::input('project');
        $table = Dever::input('table');
        $table = $project . '/' . $table;
    	$order_id = Dever::input('order_id');
    	$order = Dever::db($table)->find($order_id);
    	if ($order && $order['status'] == 1) {

    		# 这里自动支付成功吧，后续这一段代码要加到支付成功里 start
            $info = Dever::db('seller/info')->find($order['seller_id']);
            $yue = Dever::load('account/lib/info.up_commit', $order['uid'], $order['price'], 'goumai', 'qianbao', '订单支付:' . $order['order_num'], 'seller/sell_order', $order['id'], 1, false);

            if ($yue < 0) {
                $yue = Dever::load('account/lib/info.up_commit', $info['uid'], $order['price'], 'xiaoshou', 'qianbao', '销售单售卖:' . $order['order_num'], 'seller/sell_order', $order['id'], 1, false);
            }

            if ($yue >= 0) {
                Dever::db($table)->update(array('status' => 2, 'where_id' => $order_id));
            }

            if ($order['status'] == 2 && $info['sell_audit'] == 1) {
                # 自动审核 生成采购单
                $buy_order_id = Dever::load('order/type/buy')->create($order);
                if ($buy_order_id) {
                    $update['where_id'] = $order['id'];
                    $update['status'] = 3;
                    $update['buy_order_id'] = $buy_order_id;
                    Dever::db('seller/sell_order')->update($update);
                }
            }
            # 这里自动支付成功吧，后续这一段代码要加到支付成功里 end

    		$url = 'http://www.baidu.com/';
    		$url = Dever::url('lib/pay.show?url=' . urlencode($url), 'order');
    		return '<div style="text-align: center;"><img src="'.$url.'"></img></div>';
    	}
    	return '订单不存在';
    }

    public function show_api()
    {
        $url = urldecode(Dever::input('url'));
        $code = Dever::load('qrcode/api')->qrcode($url);

        return $code;
    }

    public function act($method, $pay_method, $pay_type, $user, $shop, $name, $num, $goods, $oprice, $price, $cash, $address_id, $invoice_id, $info, $card, $wallet_cash, $coupon_id, $user_coupon_id, $coupon_cash, $discount_id, $discount_cash, $cart = false, $system_source = 5, $refer = '', $share_uid = false, $distribute_id = false)
    {
        if (!$user) {
            Dever::alert('错误的用户信息');
        }

        $uid = $user['id'];

        if ($uid > 0) {
            $wechat = Dever::db('passport/wechat')->one(array('uid' => $uid, 'type' => 1, 'system_id' => 1));

            if (!$wechat) {
                //Dever::alert('错误的用户信息');
            }
        }

        if ($method == 2) {
            $ps_cash = $shop['ps_cash'];
            if ($shop['free_ps_cash'] && $shop['free_ps_cash'] > 0 && $price >= $shop['free_ps_cash']) {
                $ps_cash = 0;
            }

            if (!$ps_cash) {
                $ps_cash = 0;
            }

            $order_data['ps_cash'] = $ps_cash;
            $price += $order_data['ps_cash'];
        }
        
        $order_data['shop_id'] = $shop['id'];
        if ($shop['type'] == 10) {
            $order_data['shop_type'] = 2;
        } else {
            $order_data['shop_type'] = 1;
        }
        
        $order_data['area'] = $shop['area'] . ',' . $shop['id'];
        $order_data['uid'] = $uid;
        $order_data['mobile'] = $user['mobile'];
        $order_data['address_id'] = $address_id;
        $order_data['invoice_id'] = $invoice_id;
        $order_data['name'] = $name;
        $order_data['num'] = $num;
        $order_data['info'] = $info;
        $order_data['oprice'] = $oprice;
        $order_data['price'] = $price;
        $order_data['kou_cash'] = $cash;

        $order_data['method'] = $method;
        $order_data['pay_method'] = $pay_method;
        $order_data['pay_type'] = $pay_type;
        $order_data['refund_cash'] = 0;

        if ($card) {
            // $order_data['card_id'] = $card['info']['id'];
        	$order_data['card_code_id'] = $card['id'];
            $order_data['card_code_card'] = $card['card'];
            $order_data['card_code_cash'] = $card['cash'];
        } elseif ($wallet_cash && $wallet_cash > 0) {
            $order_data['wallet_cash'] = $wallet_cash;
        }
        if ($user_coupon_id) {
            $order_data['user_coupon_id'] = $user_coupon_id;
        }
        if ($coupon_id) {
            $order_data['coupon_id'] = $coupon_id;
        }
        if ($coupon_cash) {
            $order_data['coupon_cash'] = $coupon_cash;
        }

        if ($discount_id) {
            $order_data['discount_id'] = $discount_id;
        }
        if ($discount_cash) {
            $order_data['discount_cash'] = $discount_cash;
        }


        $time = time();
        $order_data_where = $order_data;
        $order_data_where['start'] = $time - 60;
        $order_data_where['end'] = $time;
        $order_data_where['option']['start'] = array('yes-cdate', '>=');
        $order_data_where['option']['end'] = array('yes-cdate', '<=');

        $info = Dever::db('shop/sell_order')->find($order_data_where);

        $order_data['order_num'] = $this->getOrderId();
        
        if (!$info) {
            $order_data['project_id'] = $shop['project_id'];
            $id = Dever::db('shop/sell_order')->insert($order_data);
            #厨人优享
            if (isset($distribute_id) && $distribute_id) {
                $user_relation = Dever::db('distribute/user_relation')->find(array('uid'=>$uid));
                $d = $order_data;
                $distribute = Dever::db('distribute/info')->find($distribute_id);
                $d['type'] = 1;
                #当前购买人是否是分销员
                $fenxiaouser = Dever::db('distribute/user')->find(array('uid'=>$uid));
                $user_bind = Dever::db('agent/user_bind')->find(array('uid'=>$uid,'status'=>2));
                if (!$fenxiaouser || ($fenxiaouser && !$user_bind)) {
                    if ($user_relation && $user_relation['share_uid']) {
                        $dis_user = Dever::db('distribute/user')->find(array('uid'=>$user_relation['share_uid']));
                       
                        if ($dis_user) {
                            Dever::load('distribute/lib/manage')->user_relation($uid,$user_relation['share_uid'],2);
                            $d['share_uid'] = $user_relation['share_uid'];
                            // #新增：推荐人总共推广了几个非代理商
                            // $tgnum = Dever::load('distribute/lib/manage')->extend($user_relation['share_uid']);
                            // $tgtotal = $tgnum+$order_data['num'];
                            // if(($tgtotal == 3 || ($tgtotal>3 && $tgtotal%3==0)) && !empty($distribute['extend_price'])) {
                            //     $d['reward_price'] = round($oprice*((float)$distribute['extend_price']/100),2);
                            // } else {
                                $d['reward_price'] = round($oprice*((float)$distribute['reward_price']/100),2);
                            // }
                            
                            $d['type'] = 2;
                            $wd['where_id'] = $dis_user['id'];
                            $wd['price'] = $dis_user['price'] + $d['reward_price'];//累计金额
                            Dever::db('distribute/user')->update($wd);
                        }
                    }
                    $d['info_id'] = $distribute_id;
                    $d['order_id'] = $id;
                    $goods_id ='';
                    if ($goods){
                        foreach ($goods as $k => $v) {
                            $goods_id = $v['id'];
                        }
                        $d['goods_id'] = $goods_id;
                    }
                    
                    if ($d) {
                        Dever::db('distribute/order')->insert($d);
                    }
                } else {
                    $sellorder['where_id'] = $id;
                    $sellorder['pay_method'] = 5;
                    Dever::db('shop/sell_order')->update($sellorder);
                }
                
            }
        } else {
            return array
            (
                'order' => '',
                'order_num' => $info['order_num'],
                'order_id' => $info['id'],
                'type' => 'test',
            );
        }

        if (!$id) {
            Dever::alert('支付失败');
        }

        foreach($goods as $k => $v) {
            if ($v['ku_state'] == 1) {
                $data['uid'] = $uid;
                $data['order_id'] = $id;
                $data['shop_id'] = $shop['id'];
                $data['goods_id'] = $v['id'];
                $data['sku_id'] = $v['sku_id'];
                $data['price'] = $v['price'];
                $data['num'] = $v['buy_num'];

                if (isset($v['user_coupon_id']) && $v['user_coupon_id']) {
                    $data['user_coupon_id'] = $v['user_coupon_id'];
                }
                if (isset($v['coupon_id']) && $v['coupon_id']) {
                    $data['coupon_id'] = $v['coupon_id'];
                }
                if (isset($v['coupon_cash']) && $v['coupon_cash']) {
                    $data['coupon_cash'] = $v['coupon_cash'];
                } else {
                    $data['coupon_cash'] = 0;
                }

                if (isset($v['discount_id']) && $v['discount_id']) {
                    $data['discount_id'] = $v['discount_id'];
                }

                if (isset($v['discount_cash']) && $v['discount_cash']) {
                    $data['discount_cash'] = $v['discount_cash'];
                }

                Dever::db('shop/sell_order_goods')->insert($data);
            }
        }

        # 减少库存 增加销量
        $order_data['id'] = $id;
        $this->updateSell($order_data);

        if ($price <= 0 || $pay_type == 2) {

        	$param['pay_product_id'] = $id;
        	$param['pay_order_id'] = $order_data['order_num'];
        	$param['pay_status'] = 2;
        	$param['pay_cash'] = $price;
        	$param['pay_msg'] = '';
        	$this->success($param);

            if ($cart) {
                # 来自购物车，要清空一下
                $this->dropCart($cart, $uid, $goods, $shop['id']);
            }
            # 使用优惠券
            $this->useCoupon($order_data, $coupon_id, $user_coupon_id, $card, $wallet_cash);

            /*
            if ($card) {
                # 更新礼品卡状态
                $card_update['where_id'] = $card['id'];
                $card_update['status'] = 3;
                $card_update['order_id'] = $id;
                $card_update['shop_id'] = $shop['id'];
                Dever::db('goods/card_code')->update($card_update);
            }*/
        	return array
            (
                'order' => '',
                'order_num' => $order_data['order_num'],
                'order_id' => $id,
                'type' => 'test',
            );
        }

        $sell_config = Dever::db('main/sell_config')->one();

        # 分账
        $other = false;
        if (isset($shop['mid']) && $shop['mid']) {
            $other = array
            (
                'mid' => $shop['mid'],
                'order_id' => $order_data['order_num'] . '_' . $shop['id'],
                'per' => $sell_config['per'],
                'oprice' => $oprice,
            );
        }

        $param = array
        (
            'project_id' => 1,
            'channel_id' => 1,
            'system_source' => $system_source,
            'uid' => $uid,
            'name' => $order_data['name'],
            'cash' => $price,
            'product_id' => $id,
            'order_id' => $order_data['order_num'],
            'other' => $other,
            'refer' => $refer,
        );

        if ($uid > 0 && isset($wechat) && $wechat) {
            $param['openid'] = $wechat['openid'];
        }

        $receipt = Dever::input('receipt');
        if ($receipt) {
            $param['receipt'] = $receipt;
        }

        $result = Dever::load('pay/api.pay', $param);
        //$result['type'] = 'test';
        //$result['order'] = '';
        if ($cart) {
            # 来自购物车，要清空一下
            $this->dropCart($cart, $uid, $goods, $shop['id']);
        }
        # 使用优惠券
        $this->useCoupon($order_data, $coupon_id, $user_coupon_id, $card, $wallet_cash);
        $result['order_num'] = $order_data['order_num'];
        $result['order_id'] = $id;
        return $result;
    }

    # 再次发起支付
    public function rpay($id, $system_source = 5, $refer = '')
    {
    	$order = Dever::db('shop/sell_order')->find($id);

    	if (!$order) {
    		Dever::alert('订单信息错误');
    	}

    	if ($order['status'] > 1) {
    		Dever::alert('订单已支付或已取消');
    	}

    	$param = array
        (
            'project_id' => 1,
            'channel_id' => 1,
            'system_source' => $system_source,
            'uid' => $order['uid'],
            'name' => $order['name'],
            'cash' => $order['price'],
            'product_id' => $id,
            'order_id' => $order['order_num'],
            'refer' => $refer,
        );

        $receipt = Dever::input('receipt');
        if ($receipt) {
            $param['receipt'] = $receipt;
        }

        $order = $this->getInfo($order);

        $result = Dever::load('pay/api.pay', $param);
        $result['order_time'] = $order['time'];
        $result['order_price'] = $order['price'];
        $result['order_num'] = $order['order_num'];
        $result['order_id'] = $id;
        return $result;
    }

    # 查询是否支付
    public function cpay($id)
    {
        $order = Dever::db('shop/sell_order')->find($id);

        if (!$order) {
            Dever::alert('订单信息错误');
        }

        $result['order_num'] = $order['order_num'];
        $result['order_id'] = $id;

        if ($order['status'] > 1 && $order['status'] <= 6) {
            # 已支付
            $result['status'] = 1;
        } else {
            # 待支付
            $result['status'] = 2;
        }

        return $result;
    }

    # 支付成功回调 安全加密 设置token
    public function success_secure_api_token()
    {
        $project_id = Dever::input('pay_project_id');
        $info = Dever::db('pay/project')->one($project_id);
        if ($info) {
            return $info['key'];
        }
        return '';
    }

    # 支付成功回调 安全加密
    public function success_secure_api($param = array())
    {
        $this->success($param);
    }

    # 支付成功回调
    public function success($param = array())
    {
        $send = $param ? $param : Dever::preInput('pay_');
        $product_id = $send['pay_product_id'];
        $order_id = $send['pay_order_id'];
        $status = $send['pay_status'];
        $cash = $send['pay_cash'];
        $msg = $send['pay_msg'];

        $order = Dever::db('shop/sell_order')->one(array('id' => $product_id, 'time' => time()));
        if ($order && $order['status'] == 1) {
            $update = array();
            if ($status == 2) {
                # 生成自提码或者取件码
                $update['code'] = $this->getCode();
                if ($order['method'] == 1) {
                    $msg = '您有一件自提商品已订购成功，取件码：' . $update['code'];
                } else {
                    $msg = '您有一件外送商品已订购成功，核销码：' . $update['code'];
                    # 分配配送信息
                    //$this->updatePs($order);
                }

                # 发消息
                if (Dever::project('message') && $order['uid']) {
                    $shop = Dever::db('shop/info')->one($order['shop_id']);
                    $msg_param['type'] = 1;//消息类型1是订单消息
                    $msg_param['id'] = $order['id'];
                    $msg_param['name'] = $shop['name'];
                    $msg_param = Dever::json_encode($msg_param);
                    Dever::project('message') && Dever::load('message/lib/data')->push(-1, $order['uid'], '订购成功通知', $msg, 2, 1, false, $msg_param);
                }

                
                if ($order['pay_method'] == 2) {
                    if ($order['refund_cash'] > 0) {
                        $status = 6;
                    } else {
                        $status = 5;
                    }
                    $update['fdate'] = time();
                }

                $update['status'] = $status;
                $update['where_id'] = $order['id'];
                $update['paydate'] = time();
                Dever::db('shop/sell_order')->update($update);
            }
        }

        return 'ok';
    }

    # 生成自提码
    public function getCode()
    {
        $where['code'] = Dever::rand(6, 0);
        $state = Dever::db('shop/sell_order')->one($where);
        if (!$state) {
            return $where['code'];
        } else {
            return $this->getCode();
        }
    }
}