<?php namespace Order\Manage;
use Dever;
class Delivery
{
    # 获取合作伙伴下的仓库、门店等
    public function select_api()
    {
        $type = Dever::input('value');
        $id = Dever::input('id');
        $project = Dever::input('project');
        $table_name = Dever::input('table', 'out');
        $table = $project . '/' . $table_name . '_order_delivery';
        $data = array();
        if ($id) {
            $data = Dever::db($table)->find($id);
        }
        $config['base'] = Dever::db($table)->config['struct']['base'];
        $config['info'] = Dever::db($table)->config['struct']['info'];
        $config['info']['update'] = 'hidden';
        switch($type) {
        	case 1:
        		$config['base']['name'] = '物流公司';
        		$config['base']['update'] = 'select';
        		$config['base']['update_search'] = 'goods/lib/express.search';
        		$config['info']['name'] = '配送单号-多个单号用换行隔开';
        		$config['info']['update'] = 'textarea';
        		break;
        	case 2:
        		$config['base']['name'] = '卡号-多个卡号用换行隔开';
        		$config['base']['update'] = 'textarea';
        		$config['info']['name'] = '密码-多个密码用换行隔开';
        		$config['info']['update'] = 'textarea';
        		break;
        	case 3:
        		$config['base']['name'] = '兑换码/激活码/核销码-多个码用换行隔开';
        		$config['base']['update'] = 'textarea';
        		break;
        	default:
        		$config['base']['name'] = '文本内容';
        		$config['base']['update'] = 'textarea';
        		break;
        }

        $result = Dever::load('manage/database')->update_struct(array('struct' => $config), false, $data, -1, $project . '--' . $table_name . '_order_delivery_c_0_i', true);

        return $result;
    }
}
