<?php namespace Order\Manage;
use Dever;
class Role
{
    public function search_api()
    {
        $table = Dever::input('table');
        $keyword = Dever::input('keyword');
        $yes = Dever::input('yes');
        $col = Dever::input('col');

        $where = array();
        $where[$col] = Dever::input($col);
        if ($keyword) {
            $where['search'] = $keyword;
        }

        if ($yes && $yes != -1) {
            $yes = Dever::db($table)->search(array('ids' => $yes));
        }
        $data = Dever::db($table)->search($where);
        if ($yes && $yes != -1) {
            foreach ($yes as $k => $v) {
                if (isset($data[$k])) {
                    unset($data[$k]);
                }
                $yes[$k]['selected'] = true;
            }
            $data = $yes + $data;

            $data = array_merge($data, array());
        } else {
            $data = array_merge($data, array());
        }

        if (!$data) {
            Dever::alert('暂无数据');
        }

        return $data;
    }
    
    # 搜索仓库
    public function searchStore_api()
    {
        $where = array();
        $site = Dever::input('site');
        if ($site == 'shop') {
            # 门店选仓库
            $table = 'seller/shop_store';
            $where['seller_shop_id'] = Dever::input('seller_shop_id');
        } elseif ($site == 'store') {
            # 仓库选仓库
            $table = 'servicer/store';
            $where['servicer_id'] = Dever::input('servicer_id');
            $where['no_id'] = Dever::input('servicer_store_id');
        }
        $keyword = Dever::input('keyword');
        if ($keyword) {
            $where['search'] = $keyword;
        }
        $data = Dever::db($table)->search($where);

        $yes = Dever::input('yes');
        if ($yes && $yes != -1) {
            $yes = Dever::db($table)->search(array('ids' => $yes));
            foreach ($yes as $k => $v) {
                if (isset($data[$k])) {
                    unset($data[$k]);
                }
                $yes[$k]['selected'] = true;
            }
            $data = $yes + $data;
        }

        if (!$data) {
            Dever::alert('暂无数据');
        }

        return array_values($data);
    }

    # 搜索门店
    public function searchShop_api()
    {
        $where = array();
        $site = Dever::input('site');
        $method = 'search';
        if ($site == 'shop') {
            # 门店选门店
            $table = 'seller/shop';
            $where['seller_id'] = Dever::input('seller_id');
            $where['no_id'] = Dever::input('seller_shop_id');
        } elseif ($site == 'store') {
            # 仓库选门店
            $table = 'seller/shop_store';
            $where['servicer_store_id'] = Dever::input('servicer_store_id');
            $method = 'searchShop';
        }
        $keyword = Dever::input('keyword');
        if ($keyword) {
            $where['search'] = $keyword;
        }
        $data = Dever::db($table)->$method($where);

        $yes = Dever::input('yes');
        if ($yes && $yes != -1) {
            $yes = Dever::db($table)->$method(array('ids' => $yes));
            foreach ($yes as $k => $v) {
                if (isset($data[$k])) {
                    unset($data[$k]);
                }
                $yes[$k]['selected'] = true;
            }
            $data = $yes + $data;
        }

        if (!$data) {
            Dever::alert('暂无数据');
        }

        return array_values($data);
    }
}