<?php
$express = function() {
    return Dever::db('goods/express')->state();
};
$type = array
(
    1 => '物流单号',
    2 => '卡密',
    3 => '兑换码',
    10 => '其他',
);
return array
(
    # 表名
    'name' => 'out_order_delivery',
    # 显示给用户看的名称
    'lang' => '出库单返回信息表',
    'menu' => false,
    'set' => array
    (
        'type' => $type,
    ),
    'start' => array
    (
        'insert' => 'order/lib/delivery.check',
    ),
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            //'update'    => 'hidden',
            //'list'        => true,
        ),

        'order_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '订单表id',
            'default'   => '',
            'desc'      => '订单表id',
            'match'     => 'is_numeric',
            'value'		=> Dever::input('search_option_order_id'),
            'update'    => 'hidden',
        ),

        'order_goods_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '订单商品表id',
            'default'   => '-1',
            'desc'      => '订单商品表id',
            'match'     => 'is_numeric',
            'value'     => Dever::input('search_option_order_goods_id', -1),
            'update'    => 'hidden',
        ),

        'type'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '发货类型',
            'default'   => '1',
            'desc'      => '发货类型',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'control_url'   => 'order/lib/delivery.select?project=supplier',
            'option'    => $type,
        ),

        'base'      => array
        (
            'type'      => 'varchar-1000',
            'name'      => '基础信息',
            'default'   => '',
            'desc'      => '基础信息',
            'match'     => 'is_string',
            'update'    => 'hidden',
        ),

        'info'     => array
        (
            'type'      => 'varchar-1000',
            'name'      => '辅助信息',
            'default'   => '',
            'match'     => 'is_string',
            'desc'      => '辅助信息',
            'update'    => 'hidden',
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        'insert' => false,
        'delete' => false,
    ),

    'request' => array
    (
        'getData' => array
        (
            'option' => array
            (
                'order_id' => 'yes',
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('order_goods_id' => 'desc', 'id' => 'desc'),
            'col' => '*',
        ),
    ),
);
