<?php

return array
(
    # 表名
    'name' => 'out_order_goods_list',
    # 显示给用户看的名称
    'lang' => '订单商品详情表',
    'menu' => false,
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'update'    => 'hidden',
            //'list'        => true,
        ),

        'order_goods_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '订单表id',
            'default'   => '',
            'desc'      => '订单表id',
            'match'     => 'is_numeric',
        ),

        'goods_list_id'      => array
        (
            'type'      => 'int-11',
            'name'      => 'store_goods_list表id',
            'default'   => '',
            'desc'      => 'store_goods_list表id',
            'match'     => 'is_numeric',
        ),

        'batch'      => array
        (
            'type'      => 'varchar-800',
            'name'      => '批次号',
            'default'   => '',
            'desc'      => '批次号',
            'match'     => 'option',
        ),

        'sdate'      => array
        (
            'type'      => 'int-11',
            'name'      => '生产日期',
            'default'   => '',
            'desc'      => '生产日期',
            'match'     => 'option',
        ),

        'cash'      => array
        (
            'type'      => 'decimal-11,2',
            'name'      => '单价',
            'default'   => '',
            'desc'      => '单价',
            'match'     => 'option',
        ),

        'num'        => array
        (
            'type'      => 'decimal-11,2',
            'name'      => '数量',
            'default'   => '1',
            'desc'      => '数量',
            'match'     => 'option',
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        'insert' => false,
        'delete' => false,
    ),

    'request' => array
    (
        
    ),
);
