<?php
return array
(
    # 表名
    'name' => 'buy_order_out',
    # 显示给用户看的名称
    'lang' => '采购单出库关联表',
    'menu' => false,
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'update'    => 'hidden',
            //'list'        => true,
        ),

        'order_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '订单表id',
            'default'   => '',
            'desc'      => '订单表id',
            'match'     => 'is_numeric',
        ),

        'order_goods_id'      => array
        (
            'type'      => 'varchar-1000',
            'name'      => '订单商品表id',
            'default'   => '',
            'desc'      => '订单商品表id',
            'match'     => 'is_string',
        ),

        'out_type'      => array
        (
            'type'      => 'int-11',
            'name'      => '关联的出库仓配商类型-2是仓库，3是供应商',
            'default'   => '',
            'desc'      => '关联的出库仓配商类型',
            'match'     => 'is_numeric',
        ),

        'out_parent_id'      => array
        (
            'type'      => 'varchar-50',
            'name'      => '关联的出库仓配商或者供应商id',
            'default'   => '',
            'desc'      => '关联的出库仓配商或者供应商id',
            'match'     => 'is_string',
        ),

        'out_id'      => array
        (
            'type'      => 'varchar-50',
            'name'      => '关联的出库仓库或者渠道id',
            'default'   => '',
            'desc'      => '关联的出库仓库或者渠道id',
            'match'     => 'is_string',
        ),

        'out_order_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '关联的出库订单表id',
            'default'   => '',
            'desc'      => '关联的出库订单表id',
            'match'     => 'is_numeric',
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        'insert' => false,
        'delete' => false,
    ),

    'request' => array
    (
        
    ),
);