<?php

$express = function() {
    return Dever::db('goods/express')->state();
};
return array
(
    # 表名
    'name' => 'buy_order_refund_delivery',
    # 显示给用户看的名称
    'lang' => '退款订单配送表',
    'menu' => false,
    'end' => array
    (
        'insert' => 'order/lib/refund.sync_commit',
        'update' => 'order/lib/refund.sync_commit',
    ),
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'update'    => 'hidden',
            //'list'        => true,
        ),

        'order_refund_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '订单退款表id',
            'default'   => '',
            'desc'      => '订单退款表id',
            'match'     => 'is_numeric',
            'value'		=> Dever::input('search_option_order_refund_id'),
        ),

        'express'      => array
        (
            'type'      => 'int-11',
            'name'      => '物流公司',
            'default'   => '',
            'desc'      => '物流公司',
            'match'     => 'is_numeric',
            'update'    => 'select',
            'option'    => $express,
        ),

        'order_num'     => array
        (
            'type'      => 'varchar-1000',
            'name'      => '配送单号',
            'default'   => '',
            'match'     => 'is_string',
            'desc'      => '配送单号',
            'update'    => 'textarea',
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        'insert' => false,
        'delete' => false,
    ),

    'request' => array
    (
        
    ),
);
