<?php namespace Order\Type;
use Dever;
class In
{
    # 生成入库单
    public function create($role_type, $role_id, $site_id, $cash, $num, $type, $type_method, $type_id, $type_order_id, $info, $goods)
    {
        list($role, $site, $data) = Dever::load('order/lib/common')->get($role_type, $role_id, $site_id);

        $table = $role . '/in_order';
        $data['cash'] = $cash;
        $data['num'] = $num;
        $data['type'] = $type;
        $data['type_method'] = $type_method;
        $data['type_id'] = $type_id;
        $data['type_order_id'] = $type_order_id;
        $data['info'] = $info;
        $data['order_num'] = Dever::load('order/lib/common')->createOrderNum($table);

        $id = Dever::db($table)->insert($data);
        if ($id) {
            if ($goods) {
                $up['order_id'] = $id;
                foreach ($goods as $k => $v) {
                    $up['goods_id'] = $v['goods_id'];
                    $up['sku_id'] = $v['sku_id'];
                    $up['unit_id'] = $v['unit_id'];
                    $up['batch'] = $v['batch'];
                    $up['sdate'] = $v['sdate'];
                    $up['cash'] = $v['cash'];
                    $up['num'] = $v['num'];
                    $up['goods_list_id'] = $v['goods_list_id'];
                    Dever::db($table . '_goods')->insert($up);
                }
            }
        }
        return $id;
    }

    public function check($id, $name, $data)
    {
        $goods = Dever::param('goods_id', $data);
        if ($goods && strstr($goods, '-')) {
            list($goods_id, $sku_id) = explode('-', $goods);
            $where['goods_id'] = $goods_id;
            $where['sku_id'] = $sku_id;
            $type = Dever::input('update_type');
            if ($type == 1) {
                $where['supplier_channel_id'] = Dever::input('update_type_id');
                $info = Dever::db('supplier/channel_goods')->getOne($where);
                if (!$info) {
                    $supplier = Dever::db('supplier/info')->one($info['supplier_id']);
                    $goods_info = Dever::load('product/lib/info')->getBaseInfo($goods_id, $sku_id);
                    return Dever::alert($supplier['name'] . '无此商品：【' . $goods_info['aname'] . '】');
                }
            }
        }
    }
}
