<?php
$service = function()
{
    return Dever::db('channel/service')->state();
};
$info_id = Dever::input('search_option_info_id');
return array
(
	# 表名
	'name' => 'info_data',
	# 显示给用户看的名称
	'lang' => '渠道数据',
	# 是否显示在后台菜单
	'order' => -10,
	'menu' => false,
	'info' => '',

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'desc',
			//'list'		=> true,
		),

		'info_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '渠道id',
			'default' 	=> '1',
			'desc' 		=> '渠道id',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'value'		=> $info_id,
		),

		'service_id'	=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '所属业务',
			'default' 	=> '1',
			'desc' 		=> '所属业务',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'search'	=> 'select',
			'option'	=> $service,
			'list'		=> true,
		),

		'source_table'	=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '数据来源表名',
			'default' 	=> '1',
			'desc' 		=> '数据来源表名',
			'match' 	=> 'is_numeric',
		),

		'source_id'	=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '数据来源id',
			'default' 	=> '1',
			'desc' 		=> '数据来源id',
			'match' 	=> 'is_numeric',
		),

		'value'		=> array
		(
			'type' 		=> 'text-1000',
			'name' 		=> '数据',
			'default' 	=> '',
			'desc' 		=> '数据',
			'match' 	=> 'is_string',
			'search'	=> 'fulltext',
			'list'		=> 'Dever::load("channel/lib/data.value", {id})',
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		# 开放子管理权限
		//'auth' => true,
		'insert' => false,
        'edit' => false,
        # 自定义快捷新增和编辑
        'button' => array
        (
            '清空数据' => array('oper', 'channel/lib/data.drop?id=' . $info_id),
        ),
	),

	'request' => array
	(
		
	)
);
