<?php
$service = function()
{
    return Dever::db('channel/service')->state();
};
return array
(
	# 表名
	'name' => 'task_service',
	# 显示给用户看的名称
	'lang' => '任务业务流程',
	# 是否显示在后台菜单
	'order' => -10,
	'menu' => false,
	'info' => '',

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'desc',
			//'list'		=> true,
		),

		'task_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '任务id',
			'default' 	=> '1',
			'desc' 		=> '任务id',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'value'		=> Dever::input('search_option_task_id'),
		),

		'service_id'	=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '所属业务',
			'default' 	=> '1',
			'desc' 		=> '所属业务',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'search'	=> 'select',
			'option'	=> $service,
			'list'		=> true,
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '执行顺序-正序',
			'default' 	=> '1',
			'desc' 		=> '执行顺序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'asc',
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
        'edit' => false,

        # 自定义快捷新增和编辑
        'button' => array
        (
            '新增' => array('fast'),
        ),

		'list_button' => array
        (
        	'edit' => array('编辑'),
        ),
	),

	'request' => array
	(
		'getData' => array
		(
			'option' => array
			(
				'task_id' => 'yes',
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'asc', 'id' => 'asc'),
			'col' => '*|reorder|',
		),
	)
);
