<?php

namespace Channel\Lib;

use Dever;

class Task
{
    public function loop()
    {
        while (true) {
            $this->cron();
            sleep(30);
        }
    }

    public function main_api(){}
    public function main()
    {
        $time = time();
        # 获取所有的任务
        $data = Dever::db('channel/task')->get(array('ldate' => $time));

        if ($data) {
            $time = time();
            foreach ($data as $k => $v) {
                $this->service($v['id']);
                $update['where_id'] = $v['id'];
                $update['ldate'] = $v['ldate'] + $v['time'];
                if ($update['ldate'] < $time) {
                    $update['ldate'] = $time + $v['time'];
                }
                if ($v['time'] <= 0) {
                    $update['state'] = 2;
                }
                Dever::db('channel/task')->update($update);
            }
        }
    }

    public function service_api(){}
    public function service($task_id)
    {
        $service = Dever::db('channel/task_service')->select(array('task_id' => $task_id));
        if ($service) {
            $data = array();
            foreach ($service as $v) {
                $this->getData($data, $v['service_id'], $v['reorder'], 'api');
                $this->getData($data, $v['service_id'], $v['reorder'], 'spider');
            }
            if ($data) {
                foreach ($data as $k => $v) {
                	$send = Dever::encode(Dever::json_encode($v));
                    Dever::daemon('lib/task.cron?c=' . $k . '&s=' . $send, 'channel');
                }
            }
        }
        return 'ok';
    }

    public function cron_api(){}
    public function cron()
    {
        $channel_id = Dever::input('c');
        if (!$channel_id) {
            return;
        }
        $send = Dever::input('s');
        if (!$send) {
            return;
        }
        $send = Dever::json_decode(Dever::decode($send));

        $param = array();
        foreach ($send as $k => $v) {
        	foreach ($v as $k1 => $v1) {
        		$param = Dever::load('channel/lib/' . $v1[0])->task($v1[1], $v1[2], $param);
	        }
        }
        return 'ok';
    }

    protected function getData(&$data, $service_id, $reorder, $type)
    {
        $info = Dever::db('channel/connect_' . $type)->select(array('service_id' => $service_id));
        if ($info) {
            foreach ($info as $v) {
                $channel = Dever::db('channel/info')->select(array('connect_id' => $v['connect_id']));
                if ($channel) {
                    foreach ($channel as $v1) {
                        $data[$v1['id']][$reorder][] = array($type, $v1['id'], $v['id']);
                    }
                }
            }
        }
    }
}