<?php

$unit = function()
{
	return Dever::load('goods/unit-state');
};

return array
(
    # 表名
    'name' => 'info_unit',
    # 显示给用户看的名称
    'lang' => '商品单位关联表',
    'menu' => false,
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'update'    => 'hidden',
            //'list'        => true,
        ),

        'info_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '商品',
            'default'   => '',
            'desc'      => '商品',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
            'value'     => Dever::input('search_option_info_id')
        ),

        'unit_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '其他单位',
			'default' 	=> '',
			'desc' 		=> '其他单位',
			'match' 	=> 'is_numeric',
			'update'    => 'select',
			'option'    => $unit,
		),

        'radio'      => array
        (
            'type'      => 'varchar-11',
            'name'      => '基本单位转换比-如基本单位是袋，当前选择单位为箱，一箱24袋，这里填写24即可',
            'default'   => '1',
            'desc'      => '基本单位转换比',
            'match'     => 'is_string',
            'update'    => 'text',
        ),

        'discount'      => array
        (
            'type'      => 'varchar-11',
            'name'      => '单位折扣-用于计算该单位价格：单位价格=基本价格*基本单位转换比*单位折扣',
            'default'   => '0',
            'desc'      => '价格转换比',
            'match'     => 'is_string',
            'update'    => 'text',
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        
    ),

    'request' => array
    (
        
    ),
);
