<?php

namespace goods\Src;

use Dever;

class Seller
{
    public function __construct()
    {
        $this->seller_id = Dever::input('seller_id', 1);
    }

    # 获取销售商信息
    public function seller()
    {
        $data['shop'] = Dever::db('role/seller')->find($this->seller_id);

        return $data;
    }

    # 获取商品列表
    public function getGoods()
    {
        return Dever::load('role/lib/seller')->getGoods($this->seller_id);
    }

    # 测试
    public function test()
    {
        $data = Dever::db('goods/info')->select(array(), function($data) {
            $data['name'] .= 'test';
            return $data;
        });
        print_r($data);die;
        //Dever::setAlias('area', 'sarea');
        //return Dever::load('area/api')->string('110000,110100');
    }

    public function browser()
    {
        //https://puppeteer.bootcss.com/
        Dever::apply('vendor/autoload', 'browser');
        $puppeteer = new \Nesk\Puphpeteer\Puppeteer();
        $browser = $puppeteer->launch([
            'args' => ['--no-sandbox', '--disable-setuid-sandbox'],
            'executablePath' => '/usr/bin/chromium-browser',
            //'headless' => false,
        ]);

        $page = $browser->newPage();
        $page->goto('http://daili.uat.churenyiliao.com/');
        print_r($page->content()); // Prints the HTML
        //18612165722

        //$page->screenshot(['path' => Dever::data() . 'example.png']);

        $browser->close();
    }
}